Subject: Re: Linux kernel 3.x problems on PowerMac G5

From: Benjamin Herrenschmidt <[email-masked]>
Date: Fri, 08 Mar 2013 07:22:04 +1100

On Thu, 2013-03-07 at 21:08 +0100, Phileas Fogg wrote:
> And the bisect couldn't find the commit which causes hangs on my
> machine.
> All commits which were provided by the bisect were bad.
> And the commit before tha last bad bisect commit was bad too.
> I did bisect several times, and got the same results.
> 
> Fo testing i used linux-3.0.y branch of
> git://git.kernel.org/pub/scm/linux/kernel/git/stable/linux-stable.git.
> 
> Did i miss something or do something wrong here ?

Did git bisect go down a merge commit ? It does for me if I try that and
asks to test that merge first. If you get that wrong it can get very
confused.

That's all I can think of... do you have the bisection log just in
case ?

Also you can use gitk -- arch/powerpc to look at the changes to powerpc
code and try manually random points before/after that if you think
bisect isn't doing the right thing.

Cheers,
Ben.